summaryrefslogtreecommitdiff
path: root/test/rubygems/test_gem_installer.rb
diff options
context:
space:
mode:
Diffstat (limited to 'test/rubygems/test_gem_installer.rb')
-rw-r--r--test/rubygems/test_gem_installer.rb12
1 files changed, 6 insertions, 6 deletions
diff --git a/test/rubygems/test_gem_installer.rb b/test/rubygems/test_gem_installer.rb
index 7ce00f0..0abb58b 100644
--- a/test/rubygems/test_gem_installer.rb
+++ b/test/rubygems/test_gem_installer.rb
@@ -185,7 +185,7 @@ gem 'other', version
end unless Gem.win_platform?
def test_ensure_dependency
- quick_spec 'a'
+ util_spec 'a'
dep = Gem::Dependency.new 'a', '>= 2'
assert @installer.ensure_dependency(@spec, dep)
@@ -606,7 +606,7 @@ gem 'other', version
end
def test_initialize
- spec = quick_spec 'a' do |s| s.platform = Gem::Platform.new 'mswin32' end
+ spec = util_spec 'a' do |s| s.platform = Gem::Platform.new 'mswin32' end
gem = File.join @tempdir, spec.file_name
Dir.mkdir util_inst_bindir
@@ -1044,7 +1044,7 @@ gem 'other', version
end
def test_installation_satisfies_dependency_eh
- quick_spec 'a'
+ util_spec 'a'
dep = Gem::Dependency.new 'a', '>= 2'
assert @installer.installation_satisfies_dependency?(dep)
@@ -1113,7 +1113,7 @@ gem 'other', version
end
def test_pre_install_checks_wrong_rubygems_version
- spec = quick_spec 'old_rubygems_required', '1' do |s|
+ spec = util_spec 'old_rubygems_required', '1' do |s|
s.required_rubygems_version = '< 0'
end
@@ -1400,7 +1400,7 @@ gem 'other', version
end
def old_ruby_required
- spec = quick_spec 'old_ruby_required', '1' do |s|
+ spec = util_spec 'old_ruby_required', '1' do |s|
s.required_ruby_version = '= 1.4.6'
end
@@ -1410,7 +1410,7 @@ gem 'other', version
end
def util_execless
- @spec = quick_spec 'z'
+ @spec = util_spec 'z'
util_build_gem @spec
@installer = util_installer @spec, @gemhome